#include <cuda_runtime.h> // Required for float3 and CUDA types

#ifndef SMOOTHING_KERNELS_H
#define SMOOTHING_KERNELS_H

namespace FluidSimulationGPU {

__device__ float poly6Kernel(float r2);
__device__ float kernel_poly6_d1(float r2);
__device__ float spikyKernelGrad(float r);
__device__ float viscosityKernelLap(float r);
__device__ float kernel_surface_tension(float r);

} // namespace FluidSimulationGPU

#endif // SMOOTHING_KERNELS_H
