// constants.h
#ifndef CONSTANTS_H
#define CONSTANTS_H

const float h_BOUND_X_MIN = -6.0f;
const float h_BOUND_X_MAX = 12.0f;
const float h_BOUND_Y_MIN = 0.0f;
const float h_BOUND_Y_MAX = 10.0f;
const float h_BOUND_Z_MIN = -4.0f;
const float h_BOUND_Z_MAX = 4.0f;

const float h_GAS_CONSTANT = 0.02f;
const float h_VISCOSITY = 0.2f;

const float h_PARTICLE_MASS = 0.4f;
const float h_REST_DENSITY = 3000.0f;

const float h_PI = 3.14159265358979323846f;
const float h_H = 0.35f; // Smoothing radius

#endif // CONSTANTS_H
