// FluidConfig.h
#ifndef FLUID_CONFIG_H
#define FLUID_CONFIG_H

struct FluidConfig {
    float viscosity = 0.2f;
    float particleMass = 0.4f;
    float restDensity = 3000.0f;
    float smoothingRadius = 0.35f; // h_H

    // Constructor can initialize from constants if needed
    FluidConfig() = default;
};

#endif // FLUID_CONFIG_H
